# Handbok Terminal

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Stefan
Asserhäll

    stefan.asserhall@comhem.se

Översättare
2000
2001
2002
&Jonathan.Singer;
2005
Kurt Hindenburg
&FDLNotice;
2005-02-13
1.5

Det här dokumentet är användarhandboken för terminalprogrammet.

Terminal är en X-terminalemulator för &kde;.

KDE
konsole
kdebase
kommando
rad

## Introduktion till Terminal

### Vad är en terminal?

&UNIX; operativsystem konstruerades från början enbart som textsystem, styrda av tangentbordskommandon -- vad som är känt som ett kommandoradsgränssnitt (CLI). &X-Window;, &kde; och andra projekt har därefter lagt till det grafiska gränssnitt som du använder nu. Men det grundläggande CLI-systemet finns fortfarande där, och är ofta det enklaste, snabbaste och mest kraftfulla sättet att utföra många aktiviteter.

Terminal är vad som är känt som en X-terminalemulator, ofta kallat en terminal eller ett skal. Den ger dig motsvarigheten av en gammalmodig textskärm på ditt skrivbord, men en som lätt kan dela skärmen med dina grafiska program. Windows-användare kanske känner till verktyget MS-DOS Prompt, som har motsvarande funktion av att erbjuda en DOS-kommandorad för &Windows;. (Även om en &UNIX; CLI är mycket kraftfullare och mer lättanvänd än DOS!)

Att förklara användningen av en &UNIX; CLI är utanför syftet med det här dokumentet, eftersom det skulle kräva en tjock bok. Som tur är finns många sådana böcker tillgängliga på många språk i bokhandeln eller på bibliotek. Det finns också handledningar tillgängliga på Internet. Njut av &kde;, men tveka inte att lära dig använda kommandoraden! Du kommer att märka att lära sig bara det grundläggande, gör datoranvändningen mycket effektivare och trevligare.

### Vad gör Terminal speciell?

Terminalens avancerade funktioner är bland annat en enkel anpassning och möjligheten att visa flera terminalskal i ett enda fönster, som resulterar i ett mindre stökigt skrivbord.

Med hjälp av Terminal kan en användare öppna:

- &Linux; konsollsessioner

- Skalsessioner

- Screen-sessioner

- Midnight Commander filhanteringssessioner

- Root-konsollsessioner

- Root Midnight Commander-sessioner

- Användarskapade sessioner

Dessa sessioner kan döpas om för att hjälpa dig hålla reda på alla dina skal, och du kan skicka signaler till dem (STOP, CONT, HUP, INT, TERM, KILL).

För att få mer kontroll över Terminal kan en användare:

- visa/dölja menyraden och/eller fönsterramen

- välja storleken på ett terminalfönster, teckensnitt, färgscheman och tangentbindningar

- ändra plats på rullningslisten eller dölja den

- ändra plats på flikraden eller dölja den

Alla inställningar som väljs kan göras till förval för framtida sessioner genom att spara dem.

För de med ett djupt intresse av fria X-terminalers taxonomi, finns det två andra av samma sort: xterm, originalet, skrevs redan innan X själv (ungefär en månad), och xvt, en lättviktig xterm-klon, som de flesta andra nuvarande varianter (särskilt eterm) är baserade på.

Efter ett decennium, är &konsole; den första helt nyskrivna versionen. Medan xterm definitivt har hackats till döds (dess `README`-fil börjar med citatet Lämnen varje hopp i som här ingån), ger &konsole; en ny början med samtida teknik och förståelse av X.

## Användning av Terminal

### Uppstart

När Terminal startas, körs ett program (vanligtvis ett &UNIX;-skal) i fönstret. Skriv in kommandon vid prompten.

Terminalskärmen
Terminalskärmen

Terminal med 4 terminalsessioner som kör.

Ett fönster med Dagens tips kan också visas vid uppstart, och ge tips om hur programmet används. Om du inte vill få tips, avmarkera rutan Visa tips vid start.

### Historik

När rader rullar upp ovanför skärmens överkant, kan de granskas genom att flytta rullningslisten uppåt, genom att använda mushjulet, eller genom att använda tangenterna &Shift; Page Up (för att flytta bakåt en sida), &Shift; Page Down (för att flytta framåt en sida), &Shift; Upp (för att flytta upp en rad) och &Shift; Ner (för att flytta ner en rad), under förutsättning att Historik är aktiverad.

Dessutom härmar Terminal FreeBSD-terminalen när Scroll Lock är nertryckt. När Scroll Lock är aktiverat, stoppas vanlig in- och utmatning från skalet, och du kan flytta dig i historiken med Page Up, Page Down, Uppåtpil och Neråtpil.

Historiken i Terminal kan anpassas via Inställningar Historik...

Terminal tillhandahåller ett antal historikrelaterade alternativ som finns i menyn Redigera.

- Sök i historik...

- Sök igen

- Sök föregående

- Spara historik som...

- Töm historik

- Töm all historik

I Terminal gäller referenser till historik texten som visas i terminalfönstret. Skalet som kör i Terminal (t.ex. bash) har också en historik, som inte har något med terminalhistoriken att göra.

### Sessioner

Om du ofta måste logga in på andra datorer, eller alltid kör en liknande uppsättning terminalprogram, kan du använda funktionen Session i Terminal, tillsammans med &kde;:s sessionshantering för att automatisera en stor del av detta. Låt oss betrakta följande exempel: Du har ofta en session med ssh öppen på datorn administration klar för generella administrationsuppgifter. Du kanske har märkt att knappen Ny session i Terminals flikrad innehåller en meny om du klickar och håller nere den. Här kan du välja nya sessionstyper. Vi ska lägga till nya alternativ i den här menyn.

1. Klicka på menyalternativet Inställningar Anpassa &konsole;...

2. Välj fliken Session.

3. Fyll i den första raden med ett namn. Det är namnet som visas i menyn, och som används som standardrubrik istället för Skal när du startar en session av den här typen.

4. Skriv in ett kommando precis som du normalt skulle göra om du öppnade ett nytt skal, och skulle utföra kommandot. I vårt första exempel ovan, skulle du kunna skriva ``ssh` administration`.

5. Ställ in sessionens utseende i nedre delen av rutan. Du kan använda ett annat teckensnitt, färgschema och typ av $`TERM` för varje session.

6. Tryck på knappen Spara session.... En dialogruta ber dig bekräfta filnamnet.

7. Tryck på Ok.

Nu ska du kunna trycka in och hålla nere knappen Ny session i flikraden, och välja den nya sessionstypen i listan. En ny skalsession öppnas i terminalfönstret, med resultatet av kommandot du utfört. I vårt exempel kommer du till en fråga efter en ssh lösenordsfras, och när du anger den, loggas du in på den andra datorn. Du kan också undvika det här steget genom att använda ssh-agent, men det är ett ämne för en annan godbit. Om du till exempel vill se slutet på dina HTTP-felloggar på en webbserver, kan du använda en kommandorad som ungefär ser ut som ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

Du kan också använda det här för att köra lokala kommandon. Försök att skapa en session där kommandot är ``tail` `-f` `/var/log/messages``. I det här fallet, så stängs skalsessionen också när programmet som körs avslutas.

En mycket trevlig användning av den här funktionen är om du märker att du alltid har samma uppsättning öppna sessioner, så kan &kde; automatiskt öppna alla åt dig när du startar en ny &kde;-session. Lämna dem helt enkelt öppna som du vill ha dem när du avslutar &kde;, så sparas de med din &kde;-session, och återställs precis som alla andra program när du startar om &kde;.

Du kan tilldela genvägar till vilken session som helst.

### Musknappar

Det här avsnittet beskriver användning av musknapparna med den vanliga inställningen av musknapparna för högerhänta. För vänsterhänta, byt vänster och höger i nedanstående text.

Vänster

  Ett klick på vänster knapp skickas som en händelse till programmet som körs i Terminal. Om ett program reagerar på musklick, indikerar Terminal detta genom att visa en pilmarkör. Om inte visas en I-formad (stapel) markör.

  Att hålla nere vänsterknappen och dra musen över skärmen med ett program som inte känner till musen, markerar ett område av texten. Medan man drar visas den markerade texten i omvända färger som synligt gensvar. Välj Kopiera i menyn Redigera för att kopiera den markerade texten till klippbordet för ytterligare användning i Terminal eller ett annat program. Den markerade texten kan också dras och släppas i program som kan hantera detta. Klicka på den markerade texten och dra den till den önskade platsen (Beroende på &kde;:s inställningar, kan du behöva hålla nere &Ctrl;-tangenten när du drar.)

  Normalt så infogas nyradstecken i slutet på varje rad som väljs. Det här är bäst för klipp och klistra av källkod, eller utmatning från ett enskilt kommando. För normal text är radbrytningar ofta inte viktiga. Man kan ibland föredra att texten är en sekvens av tecken som automatiskt formatteras om när de klipps in i ett annat program. För att välja med teckensekvensläge, håll nere &Ctrl;-tangenten och välj som vanligt.

  Att trycka på &Ctrl;- och &Alt;-tangenterna tillsammans med vänster musknapp väljer en kolumn med text.

  Dubbelklicka med vänsterknappen för att markera ett ord. Trippelklicka för att markera en hel rad.

  Om den övre eller nedre kanten av textområdet rörs medan man markerar, rullar Terminal texten uppåt eller neråt, och visar till slut text i historikbufferten. Rullningen stannar när musen stannar.

  Efter musen släpps försöker Terminal behålla texten på klippbordet synlig genom att behålla det markerade området i omvända färger. Det markerade området återgår till normalläge så fort innehållet i klippbordet ändras, texten i det markerade området ändras eller vänster-knappen klickas.

  För att markera text i ett program som känner till musen (t.ex Midnight Commander), måste &Shift;-tangenten hållas nere när man klickar.

Mitten

  Att trycka på mittknappen klistrar in text som för närvarande finns på klippbordet. Att hålla nere &Ctrl;-tangenten när du trycker på mittknappen, klistrar in texten och skickar den till Terminal.

  Om du har en mus med bara två knappar, emuleras mittenknappen på en mus med tre knappar genom att trycka på både vänster- och högerknappen..

  Om du har ett hjul som musens mittenknapp, påverkar det Terminals rullningslist för program som inte hanterar musen.

Höger

  Alternativen som visas i menyn när höger musknapp trycks, beror på om menyraden är synlig eller inte.

  Menyraden är synlig: Menyalternativen Ange markeringens slut, Kopiera, Klistra in, Skicka signal, Koppla från session, Byt namn på session..., Bokmärken, och Stäng session.

  Menyraden är dold: Menyalternativen Visa menyrad, Ange markeringens slut, Kopiera, Klistra in, Skicka signal, Ny session, Koppla från session, Byt namn på session..., Bokmärken, Inställningar och Stäng session.

  I ett program som hanterar musen, tryck på &Shift;-tangenten tillsammans med höger musknapp för att visa den sammanhangsberoende menyn.

  Genom att trycka på &Ctrl;-tangenten och höger musknapp visas menyn Session.

### Menyraden

Menyraden finns längst upp i terminalfönstret. Menyraden kan aktiveras eller inaktiveras med tangenten &Alt;.

Inställningar Dölj menyrad gör det möjligt att dölja menyraden. När menyraden är dold, kan Visa menyrad nås genom att högerklicka i fönstret eller med &Alt;&Ctrl;M, som är förvald snabbtangent för att aktivera menyraden. Menyraden kan också ändras genom att tilldela den en snabbtangent.

#### Menyn Session

Session Nytt skal

  Öppnar en ny session med ett terminalskal. &Alt;&Ctrl;N kan också användas, vilket beskrivs utförligare nedan.

Session Ny Linuxkonsoll

  Öppnar en ny session som emulerar ett textbaserat &Linux;-system.

  Se filen `README.linux.console` i källkodspaketet för &konsole; där detaljerad information om hur &Linux;-konsollen skiljer sig från en typisk &UNIX;-konsoll ges. Om det här inte är meningsfullt för dig, behöver du helt säkert inte bry dig om det.

Session Ny Midnight Commander

  Öppnar en ny session med filbläddraren Midnight Commander.

  Det här menyalternativet syns bara om Midnight Commander (`mc`) är installerad på ditt system.

Session Nytt skal för root

  Öppnar en ny session med ett terminalskal, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-prompten, som indikerar att användaren arbetar med root-behörighet. Detta är ofta nödvändigt för att kunna installera ny programvara och annat systemunderhåll, men försiktighet bör iakttas för att undvika skador av misstag.

Session Ny Midnight Commander för root

  Öppnar en ny session med filbläddraren Midnight Commander, som användaren root.

  Efter att ha blivit tillfrågad om root-lösenordet, visas #-prompten i bläddrarfönstret, som indikerar att användaren arbetar med root-behörighet. Återigen, att arbeta som root är ofta nödvändigt, men försiktighet bör iakttas för att undvika skador av misstag.

  Det här menyalternativet syns bara om Midnight Commander (`mc`) är installerad på ditt system.

Session Ny session med screen...

  Öppnar en ny session med den virtuella terminalhanteraren screen. Se ``man` `screen`` för mer information.

  Det här menyalternativet syns bara om Screen (`screen`) är installerad på ditt system.

Session Nytt skal vid bokmärke

  Starta ett nytt terminalskal, i en katalog som väljs i bokmärkeslistan.

Session Skriv ut skärm...

  Skriver ut den nuvarande sessionen.

Session Stäng session

  Stänger den nuvarande sessionen.

Sessioner Avsluta

  Avslutar Terminal, och stänger alla sessioner och alla program som startats i dem.

Du kan också öppna en ny session med en snabbtangent. Normalt används &Alt;&Ctrl;N . Du kan också definiera din egen snabbtangent med menykommandot Inställningar Anpassa genvägar....

Listan med tillgängliga sessioner motsvarar de program som är installerade tillsammans med eventuella användardefinierade sessioner. Sessionslistan är i alfabetisk ordning för att snabbt kunna titta i den.

Till sist, observera att sessionstyper kan ändras, och nya typer kan skapas, genom att använda inställningsdialogrutan, som nås med menyalternativet Inställningar Anpassa Konsole....

#### Menyn Redigera

Redigera Kopiera

  Kopiera den markerade texten till klippbordet.

Redigera Klistra in

  Klipp in text från klippbordet på markörens plats.

Redigera Skicka signal

  Skicka signal - Skickar den angivna signalen till skalprocessen, eller en annan process som kördes när den nya sessionen startades.

  För närvarande är de tillgängliga signalerna:

  STOP | stoppa aktivitet
  CONT | återuppta aktivitet om stannad
  HUP | lägg på detekterad på kontrollerande terminal, eller den kontrollerande aktiviteten har dödats
  INT | avbrott från tangentbordet
  TERM | avsluta aktivitet
  KILL | döda aktivitet
  USR1 | användarsignal 1
  USR2 | användarsignal 2

  Titta i systemets manualsidor för ytterligare detaljer genom att ange kommandot ``man` `7 signal``.

Redigera Uppladdning med Z-modem...

  Skicka en fil via Z-modem.

Redigera Rensa terminal

  Rensa all text från sessionsfönstret.

Redigera Återställ och rensa terminal

  Återställ och rensa sessionsfönstret.

Redigera Sök i historik...

  Söker efter ett ord eller textsträng i den aktiva historiken. Alternativ tillåter skiftlägeskänsliga sökningar eller bakåtsökningar, och användning av reguljära uttryck i sökningar. Tryck på knappen Redigera för att använda &kde;:s grafiska editor för att skapa ett reguljärt uttryck.

Redigera Sök igen

  Flytta till nästa förekomst av texten som du letar efter.

Redigera Sök föregående

  Flytta till föregående förekomst av texten som du letar efter.

Redigera Spara historik som...

  Sparar den nuvarande historiken som en textfil.

Redigera Töm historik

  Rensar historiken för den aktiva sessionen.

Redigera Töm all historik

  Rensar historiken för alla sessioner.

#### Menyn Visa

Visa Koppla från session

  Öppna nuvarande session i ett separat fönster. Sessionens namn visas i det nya fönstrets namnlist.

Visa Byt namn på session...

  Öppnar en dialogruta som låter dig byta namn på den nuvarande sessionen. Namnet visas på sessionens flik. &Alt;&Ctrl;S kan också användas.

Visa Övervakare av aktivitet

  Markerar den aktiva sessionen så att den visar ett larm om någon aktivitet inträffar. En ikon med en tänd glödlampa visas i sessionens flik. Använd det här för att larma om någonting händer medan du arbetar i en annan session. Tiden innan larm kan ändras i Terminalens inställningar.

Visa Övervakare av tystnad

  Markerar den aktiva sessionen så att den visar ett larm om ingen aktivitet sker på 10 sekunder. En ikon med en släckt glödlampa visas i sessionens flik. Använd det här för att larma om en aktivitet stoppar medan du arbetar i en annan session. Tiden innan larm kan ändras i Terminalens inställningar.

Visa Skicka inmatning till alla sessioner

  Markerar den aktiva session så att alla kommandon som skrivs in i den skickas till alla sessioner. Sessionen får en liten ikon i sin flik som påminner dig om att vara försiktig med vad du skriver in! Det är till exempel förmodligen ingen god idé att skriva ``rm` `-rf *``.

Visa Flytta session åt vänster

  Flyttar fliken för den aktiva sessionen en flik åt vänster.

Visa Flytta session åt höger

  Flyttar fliken för den aktiva sessionen en flik åt höger.

  Skift Vänster och Skift Höger kan också användas för att byta mellan sessioner.

Visa Sessionsikoner...

  Längst ner på menyn är en lista på tillgängliga sessioner. Genom att välja en blir den aktiv.

  Du kan också använda tangenterna Skift Vänster/Skift Höger för att gå igenom de tillgängliga sessionerna cykliskt.

#### Menyn Bokmärken

Bokmärken Lägg till bokmärke

  Lägg till nuvarande plats i bokmärkeslistan.

Bokmärken Redigera bokmärken

  Redigera bokmärkeslistan.

Bokmärken Ny bokmärkeskatalog...

  Lägg till en ny katalog i bokmärkeslistan.

Bokmärkeslistan visas längst ner i menyn. Välj ett bokmärke för att flytta dig till den platsen.

Du kan använda bokmärkeseditorn för att manuellt lägga till webbadresser som ssh://användare@värddator eller telnet://värddator_som_öppnar_fjärranslutningar.

#### Menyn Inställningar

Inställningar Dölj menyrad

  Dölj menyraden.

Inställningar Flikrad

  Styr synlighet och placering av flikraden: Dölj, Överst, eller Underst.

Inställningar Rullningslist

  Styr synlighet och placering av rullningslisten: Dölj, Vänster, eller Höger.

Inställningar Fullskärm

  Växla fönstret mellan fullskärmsläge och normalläge.

Inställningar Alarm

  Ställ in alarmet: Systemsummer, Systemunderrättelse, Visuellt alarm eller Inget.

Inställningar Teckensnitt

  Ställ in teckenstorlek: Normalt, Jättelitet, Litet, Medelstort, Stort, Enormt.

  Välj alternativet Linux för att använda ett konsollteckensnitt.

  Välj alternativet Unicode för att använda ett teckensnitt med fast breddsteg.

  Välj Eget... för att använda vilken kombination som helst av teckensnitt, storlek och stil.

Inställningar Kodning

  Välj teckenkodning.

Inställningar Tangentbord

  Välj tangentbindning som önskas.

  Listan med tangentbindningar hämtas från `$KDEDIR/share/apps/konsole/*.keytab`. Filen `$KDEDIR/share/apps/konsole/README.KeyTab` beskriver keytab-formatet i mer detalj. Lägg till eller ändra dessa filer för att passa dina behov. Förvald keytab hämtas från `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Inställningar Schema

  Ställ in färger för text och bakgrund.

  Listan hämtas från `$KDEDIR/share/apps/konsole/*.schema`. Filen `$KDEDIR/share/apps/konsole/README.Schema` beskriver schema-formatet i mer detalj. Lägg till eller ändra dessa filer för att passa dina behov. Du kan också skapa egna scheman från inställningsmodulen Inställningar Anpassa Konsole.

Inställningar Storlek

  Ställ in storleken på textområdet (angiven i kolumner och rader).

Inställningar Historik...

  Öppnar en dialogruta där du kan ställa in historiken.. Kryssrutan Aktivera väljer om rader som rullar utanför fönstret längst upp ska sparas eller inte. Du kan skriva in Antal rader som ska kommas ihåg i textrutan, eller använda knapparna för att öka eller minska antalet i steg om 100 rader. Knappen Förval återställer historiken till 1000 rader. Att välja Ställ in obegränsat, gör att all historik sparas. Tryck på Ok för att spara ändringarna, ellerAvbryt för att stänga dialogrutan utan att spara ändringarna.

Inställningar Spara som förval

  Spara de nuvarande inställningarna som de nya förvalda inställningarna.

Inställningar Spara sessionens profil...

  Spara nuvarande uppsättning med sessioner med ett namn som du väljer. Profilen kan sedan användas genom att starta Terminal från kommandoraden med `--profile` och namnet på profilen.

Inställningar Anpassa meddelanden...

  Anpassa meddelanden för Terminal.

Inställningar Anpassa genvägar...

  Anpassa snabbtangenter för terminalkommandon.

Inställningar Anpassa &konsole;...

  Öppnar modulen i Inställningscentralen, för att tillåta många ytterligare ändringar i gränssnittet för Terminal, inklusive att skapa egna scheman och ändra tillgängliga sessioner.

#### Menyn Hjälp

Hjälp Handbok Konsole

  Öppna innehållsförteckningen för det här dokumentet.

Hjälp Dagens tips...

  Visar ett hjälpsamt tips om hur Terminal används. Markera rutan Visa vid start för att visa ett tips varje gång Terminal startas.

Hjälp Rapportera fel...

  Skicka en felrapport eller begäran om en ny funktion för Terminal.

Hjälp Om Konsole...

  Information om Terminals upphovsman

Hjälp Om KDE...

  Information om KDE-projektet

### Flikraden

Flikraden tillåter att flera terminalsessioner kopplas till ett enda terminalfönster.

Bild av flikraden
Bild av flikraden

Terminal med 4 terminalsessioner som kör med flikraden längst ner.

Menyalternativet Inställningar Flikrad gör att flikraden kan flyttas Överst eller Underst. Flikraden kan också döljas genom att välja Dölj.

Till vänster i flikraden finns en knapp som möjliggör en mängd åtgärder.

- Klicka på knappen för att starta en ny standardsession.

- Att klicka och hålla nere knappen gör att en lista med sessioner att välja bland dyker upp.

- Att högerklicka på knappen (eller ett tomt utrymme i flikraden) gör att en meny dyker upp för att ställa in vissa alternativ:

  - Flikrad: Dölj, Överst, Underst

  - Flikalternativ: Text och ikoner, Endast text, Endast ikoner

  - Dölj dynamiskt döljer flikraden när det bara finns en session öppen.

  - Automatisk storleksändring av flikar ändrar automatiskt storlek på flikar till flikradens bredd.

Till höger i flikraden finns en knapp som stänger nuvarande session. Knappen är inaktiverad när det bara finns en session som kör.

Att högerklicka på vilken flik som helst gör att en annan meny dyker upp:

- Koppla från session

- Byt namn på session...

- Övervakare av aktivitet

- Övervakare av tystnad

- Skicka inmatning till alla sessioner

- Byt till flik...

- Stäng session

### Kommandoradsväljare

När Terminal startas från kommandoraden kan olika väljare anges för att ändra dess beteende.

`--help`

  Listar de olika väljarna.

`-e` `kommando`

  Kör `kommando` istället för det vanliga skalet.

  Alla argument efter `kommando` skickas till `kommando`, inte till Terminal.

`--keytab` `fil`

  Starta Terminal med en angiven keytab-fil för att anpassa tangentbindningar.

`--keytabs`

  Listar alla tillgängliga keytabs.

`--ls`

  Starta med en inloggningsskalmiljö. Vad det innebär beror på systemet, men i allmänhet betyder det att filer som `~/.profile` eller `~/.bash_profile` läses. (Om det här inte är meningsfullt för dig, bry dig inte om det, men ha det i åtanke om du senare skulle inse att du behöver det.)

`--name` `namn`

  Ange namnet som visas i namnlisten.

`--noclose`

  Förhindra att terminalen avslutas när kommandot ``exit`` ges i det enda sessionsfönstret.

`--noframe`

  Starta Terminal utan en fönsterram.

`--nohist`

  Spara inte rader som rullar utanför fönstret i överkanten.

`--nomenubar`

  Starta Terminal med menyraden dold.

`--noresize`

  Inaktivera storleksändring av terminalfönstret.

`--noscrollbar`

  Starta Terminal med rullningslisten dold.

`--notabbar`

  Starta Terminal med flikraden dold.

`--noxft`

  Starta Terminal utan kantutjämning med Xft. Kantutjämning av ett litet teckensnitt kan vara svårläst.

`--profile` `fil`

  Starta Terminal med en sparad uppsättning sessioner.

`--profiles`

  Listar alla tillgängliga profiler.

`--schema` `namn` | `fil`

  Starta Terminal med schemat 'namn' eller ett schema angivet i 'fil' för att anpassa utseendet.

`--schemata`

  Listar alla tillgängliga scheman.

`--script`

  Aktivera utökade &DCOP; &Qt;-funktioner.

`-T` `titel`

  Ange fönstertitel.

`--tn` `terminal`

  Ställer in miljövariabeln TERM till det angivna värdet. Läs ``man` `xterm`` för mer information om TERM.

`--type` `typ`

  Starta en session av den angivna typen istället för den förvalda.

`--types`

  Listar alla tillgängliga sessionstyper.

`--vt_sz` `KxR`

  Starta ett terminalfönster med K kolumner och R rader.

`--workdir` `katalog`

  Öppna med `katalog` som arbetskatalog.

Exempel:

    &percnt; konsole --vt_sz 90x25 --nohist

Startar ett terminalfönster med 90 kolumner och 25 rader, utan historik

    &percnt; konsole --noclose -e echo_args Hej, tack för att du använder Terminal.

Startar ett terminalfönster med texten 'Hej, tack för att du använder Terminal.' utskriven.

Argumentet `echo_args` är ett enkelt Bash-skript:

    #!/bin/bash
    echo $*

Terminal accepterar också generella &Qt;- och &kde;-väljare:

`--help-qt`

  Visa väljare specifika för Qt

Följande &Qt;-väljare har ingen effekt i Terminal:

`--fn`, `--font` `teckensnittsnamn`

  Definierar programmets teckensnitt

`--bg`, `--background` `färg`

  Ställer in förvald bakgrundsfärg

`--fg`, `--foreground` `färg`

  Ställer in förvald förgrundsfärg

`--btn`, `--button` `färg`

  Ställer in förvald knappfärg

`--help-kde`

  Visa väljare specifika för KDE

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsmän

`-v,--version`

  Visa versionsinformation

`--license`

  Visa licensinformation

### DCOP

För en introduktion till &DCOP; och användning av `dcop`, titta i Användarhandbokens avsnitt om DCOP.

## Tack till och Copyright

Från och med &kde; 3.4, underhålls &konsole; av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

&konsole; underhölls tidigare av &Waldo.Bastian; &Waldo.Bastian.mail;

Programmet &konsole; Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Det här dokumentet är skrivet av &Jonathan.Singer; &Jonathan.Singer.mail;

Det här dokumentet uppdaterades för &kde; 3.4 av &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Överfört till DocBook SGML av &Mike.McBride; och &Lauri.Watts;

Översättning Stefan Asserhäll stefan.asserhall@comhem.se

&underFDL; &underGPL;

## &konsole; på andra plattformar än &Linux;

Information om hur man bygger &konsole; på andra plattformar än &Linux; finns tillgänglig i filen `README.ports` i källkodspaketet för &konsole;. Den ger en lista på experter för vissa plattformar (Tru64, &Solaris;, OpenBSD) och frågar efter frivilliga för andra &UNIX;-plattformar.

För mer information besök gärna följande webbplatser:

- KDE på FreeBSD

- KDE på Solaris

&documentation.index;